Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
You switched to 2005.0 profile w/out following upgrade guide
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
Gilbo
Tux's lil' helper
Tux's lil' helper


Joined: 03 Apr 2004
Posts: 127
Location: Halifax, NS

PostPosted: Sat Sep 10, 2005 10:35 pm    Post subject: You switched to 2005.0 profile w/out following upgrade guide Reply with quote

But I did use the upgrade guide from here. I used option 1.b) because I have no need for multilib support.

The complete error is:
Code:
# emerge -uv system
Calculating system dependencies ...done!
>>> emerge (1 of 3) sys-devel/patch-2.5.9 to /
 * It appears you have switched to the 2005.0 profile without following
 * the upgrade guide.  Please see the following URL for more information:
 * http://www.gentoo.org/proj/en/base/amd64/2005.0-upgrade-amd64.xml


A couple searches turned up two other threads with this problem. Frighteningly, neither ever recieved any solutions. Am I doomed?

Thanks for taking the time to read this :). Thank you even more if you have any idea what the problem is and can help.
Back to top
View user's profile Send private message
Dlareh
Advocate
Advocate


Joined: 06 Aug 2005
Posts: 2102

PostPosted: Sun Sep 11, 2005 1:11 am    Post subject: Reply with quote

I would just backup /etc , /home , and install 2005.1 from scratch.

Maybe I've been spending too much time in the Windows world :?
_________________
"Mr Thomas Edison has been up on the two previous nights discovering 'a bug' in his phonograph." --Pall Mall Gazette (1889)
Are we THERE yet?
Back to top
View user's profile Send private message
metty
Tux's lil' helper
Tux's lil' helper


Joined: 25 Oct 2004
Posts: 118

PostPosted: Sun Sep 11, 2005 1:14 am    Post subject: Reply with quote

I don't use or have any 64 bit systems, so I'm not sure entirely, but the below may be worth looking at further.

Looking in the file '/usr/portage/profiles/default-linux/amd64/2005.0/profiles.bashrc', it seems that if you have the symbolic links /usr/lib32 or /lib32, then you get that error message.

And if you check the document you referred to:

Quote:

2005.0 doesn't use symlinks from /lib32 and /usr/lib32 to the emul directories, so we need to change them into directories and copy over some important files.


Maybe the older profile had them ? I'd suggest looking at that document you referred to, and maybe trying to use the script, but just don't use the profile in the first part, but instead, use the second (non multilib) profile.

Hope that helps some.

That or do what Dlareh suggested... or wait for some one else to help.
Back to top
View user's profile Send private message
dougco
n00b
n00b


Joined: 06 Jul 2004
Posts: 47
Location: San Francisco

PostPosted: Tue Sep 27, 2005 12:37 am    Post subject: same problem here Reply with quote

I'm getting the same error myself, and my lib32 and lib ARE directories.

I'm doing it by hand, and I ran into some problems because I had bad mirrors and the readline package wouldn't install, but before I figured out my mirrors were bad I went back some steps and tried to redo some things but I guess that is bad to do :)

So then I followed the advice in the "Can't find libc.so" section to bring back the old profile and then start again, and now this is why I am seeing this error.

Code:
# emerge -v --oneshot sys-libs/glibc
Calculating dependencies ...done!
>>> emerge (1 of 1) sys-libs/glibc-2.3.5-r1 to /
 * It appears you have switched to the 2005.0 profile without following
 * the upgrade guide.  Please see the following URL for more information:
 * http://www.gentoo.org/proj/en/base/amd64/howtos/index.xml?part=1&chap=1


WTF!
_________________
--
If you're reading this, then you've gone too far.
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Tue Sep 27, 2005 7:21 am    Post subject: Reply with quote

Please see 'Switched to 2005.0 profile without following upgrade guide'.

Moved from Portage & Programming to Duplicate Threads.
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum